html,
body {
  scroll-behavior: smooth;
}

#header {
  transition: background-color 0.8s ease, color 0.8s ease;
}

#header.scrolled {
  background-color: oklch(from var(--color-base-100) l c h / 0.7);
}

#header.scrolled .drawer-content {
  color: var(--color-base-content);
}

#page-top-btn {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s;
}

#page-top-btn.is-visible {
  opacity: 1;
  visibility: visible;
}
